WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

PHP Version Finder

— Add- On do WorldWideScripts.net

Subskrybuj nasz kanał aby być na bieżąco!

Nowy! Dołącz do nas, jak chcesz!


PHP Version Finder - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting

Obserwuj mnie na Twitterze Podążaj za mną na G + Podążaj za mną na CodeCanyon Demo na żywo

Demo - Non Database (kalekie)
Demo - Database (kalekie)
Demonstracje są kalekie! Mamy zakodowane prawdziwą wersję każdej funkcji i rozszerzenie.

Wersja PHP Finder - Aktualizacja do v 1.0.3c 12/9/2010

Znajdź jaka wersja PHP wymaga skryptu. Pytany, jaka wersja PHP jest wymagane do uruchomienia nasze skrypty nie ma ostatecznej odpowiedzi. Stworzyliśmy ten skrypt, aby określić wersję PHP, a potem wziął ją na inny poziom poprzez poszukiwanie funkcje przestarzała. Ale nie zatrzymał się na tym. Zawarliśmy PHP rozszerzeń i konstrukcji językowych. Prawie nazwał go w tym dobry, ale potem zastanawialiśmy się... ile razy użyliśmy tych funkcji. Nadmierne korzystanie z tej samej funkcji można degradacji wydajności. Monitorowanie ile razy funkcja służy mogą pomóc ustalić, czy "User Utworzono Funkcja" mogą być tworzone w celu zmniejszenia kod i zwiększyć wydajność.

Wykrycie

Wersja PHP Finder tory: 3044 Funkcje PHP, PHP Extensions 2260, 23, 19 Język konstruuje alternatywnej propozycji, 7 Porady / Tricks / Notes. (Plus 69 Eksperymentalny, 20 Nieaktualne funkcje svn "47")
Kod nie muszą być kompletne, ani działać. To nawet nie ma sensu. Pod warunkiem, że znajduje się pomiędzy <php i?> Zostanie ocenione. Kaleki Demo - demo został okaleczony, aby zapobiec jej używania, a nie zakupu.

Zatrzymaj odgadywanie!

Prawdę mówiąc - większość deweloperów "ball-park" jaka wersja PHP jest wymagane przez przypominając kilka funkcji "klucz" są używane. Z Wersja PHP Finder można wiedzieć na pewno, co jest rzeczywiście wymagana wersja PHP!
Nie Zgadnij! - Run Wersja PHP Finder na skrypcie wiedzieć na pewno, co wersjach programu PHP jest wymagane do działania skryptu!

Przestarzałe Detection

Wersja PHP Finder pozwala wiedzieć, czy jakieś funkcje jesteś stosowane są przestarzałe.
Wykrywanie Nieaktualne - Sprawdź swoje skrypty do funkcji nieaktualnych

dwie wersje

PHP Version Finder nie wymaga bazy danych. Jednak dla tych, którzy wolą korzystać z bazy danych, skrypt robi to wersja bazy danych.
Optionhal Baza danych - wersja PHP finder nie wymaga bazy danych, jednak alternatywna wersja dostarczana jest dla tych, którzy chcą korzystać z bazy danych.
Dlaczego dwie wersje?
To wszystko sprowadza się do liczb. Jeśli istnieje wiele funkcji PHP, niemającej wersja bazy danych jest szybsza. Jeśli istnieje tylko kilka funkcji, wersja bazy danych jest szybsza. Jak dużo szybciej? Cóż, to jest mierzone w mikro sekund. Tak naprawdę nie zauważalne. Po zrobiliśmy wersję bazy danych, zdecydowaliśmy, że nie było warte wysiłku, ponieważ jego działanie nie było zauważalne różne. Zdecydowaliśmy się na to, bo to zostało już zbudowane - freebie, jeśli chcesz.

Instalacja

Instalacja jest prosta. Dodaj katalog, edytować dwa ustawienia i gotowe.
Installion - Prześlij jeden katalog na serwerze, edytować jeden plik konfiguracyjny a gotowa do pracy!

wejścia

Możesz przesłać plik z komputera, skanowanie pliku lub całego katalogu na serwerze, lub wkleić kod w pudełku w celu przetworzenia.
Wiele wejść - można przesłać plik, skanowanie katalogu lub sprawdź blok kodu.

Alternatywne propozycje

Jeśli PHP Version Finder znajdzie funkcje, które są przestarzałe, to daje alternatywne propozycje, które mogłyby zastąpić funkcję przestarzała.
Alternatywne propozycje - Można dokonać skrypt Na przykład:
jeśli używasz file_put_contents (co wymaga PHP 5), PHP Version Finder pozwoli Ci wiedzieć, że można użyć fwrite zamiast które mogłyby obniżyć wymaganą wersję do PHP 4. Nie tylko to, ale jest notatce dołączonej do file_put_contents który pokazuje kod użyć, aby file_put_contents wstecznie kompatybilne.

Zakup Wersja PHP Finder TERAZ!

Ułatwia życia! Znajdź nieaktualnych funkcji, uzyskać wstecznie kompatybilne sugestie i wiem jaka wersja PHP jest wymagane do uruchomienia skryptów
Kup Teraz - ułatwia życia, znaleźć przestarzałe funkcje, uzyskać wstecznie kompatybilne sugestie i wiem jaka wersja PHP jest wymagane do uruchamiania skryptów.

Aktualne funkcje (v 1.0.0) - 12/1/2010

  • opcjonalnie Database
  • Przestarzałe Detection
  • File Upload Processing
  • tworzenie katalogu
  • Wklejane kodu kreskowego
  • Autouzupełnianie
  • Składnia Highlighter
  • 3044 Funkcje PHP
  • 2260 PHP Extensions
  • 23 konstrukcje językowe
  • 19 Alternatywne propozycje
  • 7 Porady / Tricks / Uwagi
  • Plus 69 Funkcje eksperymentalne
  • Plus 20 Nieaktualne funkcje
  • Plus 47 "svn" / nieznany Funkcje

Aktualizacja v 1.0.1 03.12.2010

  • Stałe Ostrzeżenia
  • Fixed "niezdefiniowanych zmiennych" Błędy
  • Poprawiono błędy ortograficzne
  • Zaktualizowany plik pomocy w celu uwzględnienia zmian
  • Dodano licencjonowania Wyjaśnienie
  • Oczyścić "Zgłoś plik"

Aktualizacja v 1.0.2 04.12.2010

  • Stałe Ostrzeżenia
  • Fixed "niezdefiniowanych zmiennych" Błędy
  • Zaktualizowany plik pomocy w celu uwzględnienia zmian

Aktualizacja v 1.0.3c 09.12.2010

  • Oczyścić kod
  • Przepisał jak statystyki są rejestrowane.
  • Przepisał "Zgłoś plik"

Pobierz
Inne akcesoria w tej kategoriiWszystkie składniki tego autora
KomentarzeNajczęściej zadawane pytania i odpowiedzi

Właściwości

Stworzony:
03 grudnia 10

Ostatnia aktualizacja:
10 grudnia 10

Wysoka rozdzielczość:
Nie

Zgodne przeglądarki:
IE7, IE8, Safari, Opera

pliki wliczony:
JS JavaScript, HTML, CSS, PHP, SQL

Wersja oprogramowania:
PHP 4.x, 5.x PHP, PHP 5.0 - 5.2, PHP 5.3, MySQL 5.x

Słowa kluczowe

eCommerce, eCommerce, Wszystkie przedmioty, przestarzałe ostrzegawczy, wersja PHP, podświetlanie składni